# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetMeshOffsets

Function

Gets the offset of a partition within the original Field after partitioning.

Syntax
`
#include <dx/dx.h>
`

MeshArray DXGetMeshOffsets(MeshArray a, int *offsets)

Functional Details

The offsets are specified as an Array of integers, one for each dimension of the mesh, specifying the offset along that dimension of the partition in the original Field. In the case where a Mesh Array is used to define a regular grid of connections that is a part of a partitioned Field, it is useful to know the offset of the partition in the original Field.

`DXGetMeshOffsets` works only on fully regular Mesh Arrays (e.g., those that contain only Path Arrays). Mesh Arrays containing any other type of array will cause an error. In the event that this routine is passed to an Array that is not the result of partitioning, zeros are returned.

Return Value

Returns `a` or returns `NULL` and sets an error code.

See Also

`DXGetMeshArrayInfo, DXGetPathOffset, DXNewMeshArray, DXNewMeshArrayV`

"Mesh Arrays".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]